using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class User_RightsSelectByPk : DataAccessBase
	{
		public User_RightsSelectByPk()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[User_RightsSelectByPk]");
			ConfigParameter();
		}

		private SqlParameter paramUserID;
		public System.Int32 UserID
		{
			get
			{
				return (System.Int32)paramUserID.Value;
			}
			set
			{
				paramUserID.Value = value;
			}
		}

		private SqlParameter paramRightID;
		public System.Int32 RightID
		{
			get
			{
				return (System.Int32)paramRightID.Value;
			}
			set
			{
				paramRightID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramUserID = new SqlParameter();
			paramUserID.ParameterName = "@UserID";
			paramUserID.SqlDbType = SqlDbType.Int;
			paramUserID.Precision = 10;
			paramUserID.Scale = 0;
			paramUserID.Direction = ParameterDirection.Input;
			paramUserID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserID);
			//--------------------------------------------------------
			paramRightID = new SqlParameter();
			paramRightID.ParameterName = "@RightID";
			paramRightID.SqlDbType = SqlDbType.Int;
			paramRightID.Precision = 10;
			paramRightID.Scale = 0;
			paramRightID.Direction = ParameterDirection.Input;
			paramRightID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightID);
		}
	}
}